Package org.eclipse.graphiti.ui.internal.util.gef

# Class ScalableRootEditPartAnimated

java.lang.Object
org.eclipse.gef.editparts.AbstractEditPart
org.eclipse.gef.editparts.AbstractGraphicalEditPart
org.eclipse.gef.editparts.SimpleRootEditPart
org.eclipse.gef.editparts.FreeformGraphicalRootEditPart
org.eclipse.gef.editparts.ScalableFreeformRootEditPart
org.eclipse.graphiti.ui.internal.fixed.FixedScalableFreeformRootEditPart
org.eclipse.graphiti.ui.internal.util.gef.ScalableRootEditPartAnimated

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.gef.EditPart`, `org.eclipse.gef.editparts.LayerManager`, `org.eclipse.gef.GraphicalEditPart`, `org.eclipse.gef.LayerConstants`, `org.eclipse.gef.RequestConstants`, `org.eclipse.gef.RootEditPart`

public class ScalableRootEditPartAnimated extends FixedScalableFreeformRootEditPart
A subclass of the ScalableRootEditPart, which just replaces the default ZoomManager with a ZoomManagerWithAnimation (unfortunately there is no method setZoomManager() on the ScalableRootEditPart)

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart, org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

## Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart

`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

## Nested classes/interfaces inherited from interface org.eclipse.gef.editparts.LayerManager

`org.eclipse.gef.editparts.LayerManager.Helper`

## Field Summary

### Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`figure, sourceConnections, targetConnections`

### Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart

`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

### Fields inherited from interface org.eclipse.gef.LayerConstants

`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

### Fields inherited from interface org.eclipse.gef.editparts.LayerManager

`ID`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`ScalableRootEditPartAnimated(org.eclipse.gef.ui.parts.ScrollingGraphicalViewer viewer, IConfigurationProvider configurationProvider)`
Creates a new ScalableRootEditPartAnimated.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`createLayers(org.eclipse.draw2d.LayeredPane layeredPane)`
`protected org.eclipse.draw2d.LayeredPane`
`createPrintableLayers()`
`org.eclipse.gef.DragTracker`
`getDragTracker(org.eclipse.gef.Request req)`
`org.eclipse.gef.editparts.ZoomManager`
`getZoomManager()`
`void`
`performRequest(org.eclipse.gef.Request request)`

### Methods inherited from class org.eclipse.graphiti.ui.internal.fixed.FixedScalableFreeformRootEditPart

`createScaledLayers`

### Methods inherited from class org.eclipse.gef.editparts.ScalableFreeformRootEditPart

`createViewport, createZoomManager, getLayer, getScaledLayers, register, unregister`

### Methods inherited from class org.eclipse.gef.editparts.FreeformGraphicalRootEditPart

`createFigure, createGridLayer, getAdapter, getContentPane, getModel, getPrintableLayers, refreshGridLayer`

### Methods inherited from class org.eclipse.gef.editparts.SimpleRootEditPart

`createEditPolicies, getCommand, getContents, getRoot, getViewer, refreshChildren, setContents, setViewer`

### Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`activate, addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, deactivate, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getChildren, getFigure, getModelSourceConnections, getModelTargetConnections, getSourceConnections, getTargetConnections, isSelectable, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refresh, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeNotify, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

### Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addChild, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getEditPolicy, getEditPolicyIterable, getEditPolicyIterator, getEventListeners, getEventListenersIterable, getFlag, getModelChildren, getParent, getSelected, getTargetEditPart, hasFocus, installEditPolicy, isActive, refreshVisuals, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest, unregisterAccessibility, unregisterModel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.EditPart

`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getEditPolicy, getParent, getSelected, getTargetEditPart, hasFocus, installEditPolicy, isActive, isSelectable, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

## Constructor Details

### ScalableRootEditPartAnimated

public ScalableRootEditPartAnimated(org.eclipse.gef.ui.parts.ScrollingGraphicalViewer viewer, IConfigurationProvider configurationProvider)
Creates a new ScalableRootEditPartAnimated.

## Method Details

### createLayers

protected void createLayers(org.eclipse.draw2d.LayeredPane layeredPane)

Overrides:
  `createLayers` in class `org.eclipse.gef.editparts.ScalableFreeformRootEditPart`

### getZoomManager

public org.eclipse.gef.editparts.ZoomManager getZoomManager()

Overrides:
  `getZoomManager` in class `org.eclipse.gef.editparts.ScalableFreeformRootEditPart`

### createPrintableLayers

protected org.eclipse.draw2d.LayeredPane createPrintableLayers()

Overrides:
  `createPrintableLayers` in class `org.eclipse.gef.editparts.FreeformGraphicalRootEditPart`

### getDragTracker

public org.eclipse.gef.DragTracker getDragTracker(org.eclipse.gef.Request req)

Specified by:
  `getDragTracker` in interface `org.eclipse.gef.EditPart`
Overrides:
  `getDragTracker` in class `org.eclipse.gef.editparts.FreeformGraphicalRootEditPart`

### performRequest

public void performRequest(org.eclipse.gef.Request request)

Specified by:
  `performRequest` in interface `org.eclipse.gef.EditPart`
Overrides:
  `performRequest` in class `org.eclipse.gef.editparts.AbstractEditPart`